org.jbpm.process.audit

## Class ProcessInstanceLog_

- java.lang.Object
- - org.jbpm.process.audit.ProcessInstanceLog_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class ProcessInstanceLog_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CORRELATION_KEY`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `correlationKey`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `duration`
    `static String` | `DURATION`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date>` | `end`
    `static String` | `END`
    `static String` | `EXTERNAL_ID`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `externalId`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `id`
    `static String` | `ID`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `identity`
    `static String` | `IDENTITY`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `outcome`
    `static String` | `OUTCOME`
    `static String` | `PARENT_PROCESS_INSTANCE_ID`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `parentProcessInstanceId`
    `static String` | `PROCESS_ID`
    `static String` | `PROCESS_INSTANCE_DESCRIPTION`
    `static String` | `PROCESS_INSTANCE_ID`
    `static String` | `PROCESS_NAME`
    `static String` | `PROCESS_TYPE`
    `static String` | `PROCESS_VERSION`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processInstanceDescription`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processName`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer>` | `processType`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String>` | `processVersion`
    `static String` | `SLA_COMPLIANCE`
    `static String` | `SLA_DUE_DATE`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer>` | `slaCompliance`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date>` | `slaDueDate`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date>` | `start`
    `static String` | `START`
    `static javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer>` | `status`
    `static String` | `STATUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceLog_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> processInstanceId

    - #### processInstanceDescription

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processInstanceDescription

    - #### start

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date> start

    - #### externalId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> externalId

    - #### processVersion

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processVersion

    - #### duration

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> duration

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processId

    - #### processName

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> processName

    - #### identity

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> identity

    - #### slaDueDate

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date> slaDueDate

    - #### slaCompliance

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer> slaCompliance

    - #### end

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Date> end

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> id

    - #### processType

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer> processType

    - #### parentProcessInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Long> parentProcessInstanceId

    - #### correlationKey

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> correlationKey

    - #### outcome

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,String> outcome

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<ProcessInstanceLog,Integer> status

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCE_DESCRIPTION

          public static final String PROCESS_INSTANCE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### START

          public static final String START

      See Also:
        Constant Field Values

    - #### EXTERNAL_ID

          public static final String EXTERNAL_ID

      See Also:
        Constant Field Values

    - #### PROCESS_VERSION

          public static final String PROCESS_VERSION

      See Also:
        Constant Field Values

    - #### DURATION

          public static final String DURATION

      See Also:
        Constant Field Values

    - #### PROCESS_ID

          public static final String PROCESS_ID

      See Also:
        Constant Field Values

    - #### PROCESS_NAME

          public static final String PROCESS_NAME

      See Also:
        Constant Field Values

    - #### IDENTITY

          public static final String IDENTITY

      See Also:
        Constant Field Values

    - #### SLA_DUE_DATE

          public static final String SLA_DUE_DATE

      See Also:
        Constant Field Values

    - #### SLA_COMPLIANCE

          public static final String SLA_COMPLIANCE

      See Also:
        Constant Field Values

    - #### END

          public static final String END

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### PROCESS_TYPE

          public static final String PROCESS_TYPE

      See Also:
        Constant Field Values

    - #### PARENT_PROCESS_INSTANCE_ID

          public static final String PARENT_PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### CORRELATION_KEY

          public static final String CORRELATION_KEY

      See Also:
        Constant Field Values

    - #### OUTCOME

          public static final String OUTCOME

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProcessInstanceLog_

          public ProcessInstanceLog_()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.